Loading...
Searching...
No Matches
Dune::Functions::RefinedLagrangeNode< GV, k, R > Class Template Reference

`#include <dune/functions/functionspacebases/refinedlagrangebasis.hh>`

Inheritance diagram for Dune::Functions::RefinedLagrangeNode< GV, k, R >:

## Public Types

using | Element = typename GV::template Codim<0>::Entity
| Type of the element in the GridView.
using | FiniteElement
| Type of the local finite-element.
using | size_type = std::size_t

## Public Member Functions

| RefinedLagrangeNode ()
| The default constructor initializes all members to their default.
const Element & | element () const
| Return current element. The behavior is undefined if the node is not bound to any element.
const FiniteElement & | finiteElement () const
| Return the LocalFiniteElement for the element we are bound to.
void | bind (const Element &e)
| Bind the node to the element e.
size_type | localIndex (size_type i) const
size_type | size () const
| Obtain the number of basis function in the local node.
bool | empty () const
| Check if the node is empty.
size_type | treeIndex () const

## Static Public Member Functions

static constexpr unsigned int | order ()
| Polynomial order used in the local Lagrange finite-elements in subdomains of the element.
static constexpr auto | degree ()

## Static Public Attributes

static const bool | isLeaf = true
static const bool | isPower = false
static const bool | isComposite = false

## Protected Member Functions

size_type | offset () const
void | setOffset (const size_type offset)
void | setSize (const size_type size)
void | setTreeIndex (size_type treeIndex)

## Protected Attributes

const FiniteElement | finiteElement_
const Element * | element_

## Member Typedef Documentation

## Element

template<typename GV, int k, typename R>

using Dune::Functions::RefinedLagrangeNode< GV, k, R >::Element = typename GV::template Codim<0>::Entity

Type of the element in the GridView.

## FiniteElement

template<typename GV, int k, typename R>

using Dune::Functions::RefinedLagrangeNode< GV, k, R >::FiniteElement

Initial value:
std::conditional_t<(k==0),
Dune::RefinedP0LocalFiniteElement<typename GV::ctype,R,dim>,
Dune::RefinedP1LocalFiniteElement<typename GV::ctype,R,dim>>

Type of the local finite-element.

## size_type

using Dune::Functions::BasisNodeMixin::size_type = std::size_t

inherited

## Constructor & Destructor Documentation

## RefinedLagrangeNode()

template<typename GV, int k, typename R>

Dune::Functions::RefinedLagrangeNode< GV, k, R >::RefinedLagrangeNode | ( |  | ) |

inline

The default constructor initializes all members to their default.

The constructor default constructs the local finite-element and sets the element pointer to nullptr, meaning that the node is not bound to any element yet.

Note
  Before the node can be used it needs to be bound to an element.

## Member Function Documentation

## bind()

template<typename GV, int k, typename R>

void Dune::Functions::RefinedLagrangeNode< GV, k, R >::bind | ( | const Element & | e | ) |

inline

Bind the node to the element e.

## degree()

constexpr auto Dune::Functions::LeafBasisNode::degree | ( |  | ) |

inline static constexpr inherited

## element()

template<typename GV, int k, typename R>

const Element & Dune::Functions::RefinedLagrangeNode< GV, k, R >::element | ( |  | ) | const

inline

Return current element. The behavior is undefined if the node is not bound to any element.

## empty()

bool Dune::Functions::BasisNodeMixin::empty | ( |  | ) | const

inline inherited

Check if the node is empty.

This is equivalent to size()==0. Notice that it is undefined behaviour to access the element() and finiteElement() methods of the node if it is empty, i.e., if its size is zero.

## finiteElement()

template<typename GV, int k, typename R>

const FiniteElement & Dune::Functions::RefinedLagrangeNode< GV, k, R >::finiteElement | ( |  | ) | const

inline

Return the LocalFiniteElement for the element we are bound to.

The LocalFiniteElement implements the corresponding interfaces of the dune-localfunctions module.

## localIndex()

size_type Dune::Functions::BasisNodeMixin::localIndex | ( | size_type | i | ) | const

inline inherited

## offset()

size_type Dune::Functions::BasisNodeMixin::offset | ( |  | ) | const

inline protected inherited

## order()

template<typename GV, int k, typename R>

constexpr unsigned int Dune::Functions::RefinedLagrangeNode< GV, k, R >::order | ( |  | ) |

inline static constexpr

Polynomial order used in the local Lagrange finite-elements in subdomains of the element.

## setOffset()

void Dune::Functions::BasisNodeMixin::setOffset | ( | const size_type | offset | ) |

inline protected inherited

## setSize()

void Dune::Functions::BasisNodeMixin::setSize | ( | const size_type | size | ) |

inline protected inherited

## setTreeIndex()

void Dune::Functions::BasisNodeMixin::setTreeIndex | ( | size_type | treeIndex | ) |

inline protected inherited

## size()

size_type Dune::Functions::BasisNodeMixin::size | ( |  | ) | const

inline inherited

Obtain the number of basis function in the local node.

Notice that it is undefined behaviour to access the element() and finiteElement() methods of the node if it is empty, i.e., if its size is zero.

## treeIndex()

size_type Dune::Functions::BasisNodeMixin::treeIndex | ( |  | ) | const

inline inherited

## Member Data Documentation

## element_

template<typename GV, int k, typename R>

const Element* Dune::Functions::RefinedLagrangeNode< GV, k, R >::element_

protected

## finiteElement_

template<typename GV, int k, typename R>

const FiniteElement Dune::Functions::RefinedLagrangeNode< GV, k, R >::finiteElement_

protected

## isComposite

const bool Dune::Functions::LeafBasisNode::isComposite = false

static inherited

## isLeaf

const bool Dune::Functions::LeafBasisNode::isLeaf = true

static inherited

## isPower

const bool Dune::Functions::LeafBasisNode::isPower = false

static inherited

The documentation for this class was generated from the following file:

- refinedlagrangebasis.hh